<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#ffe5d0"
    android:gravity="center_horizontal"
    android:orientation="vertical"

    tools:context=".ShareActivity">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:src="@drawable/bg_share_top" />

                <TextView
                    android:id="@+id/tv_ruler"
                    android:layout_width="@dimen/size_80"
                    android:layout_height="@dimen/size_25"
                    android:layout_gravity="right"
                    android:layout_marginTop="@dimen/size_10"
                    android:layout_marginRight="-13dp"
                    android:background="@drawable/bg_ruler"
                    android:gravity="center"
                    android:text="规则说明"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_12" />
            </FrameLayout>

            <android.support.v7.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/size_15"
                android:layout_marginTop="@dimen/size_10"
                android:layout_marginRight="@dimen/size_15"
                android:layout_marginBottom="@dimen/size_10"
                android:background="@color/white"
                app:cardCornerRadius="5dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_marginTop="@dimen/dp_10"
                        android:text="分享方式"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_18"
                        android:textStyle="bold" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/size_20"
                        android:layout_marginBottom="@dimen/size_15"
                        android:gravity="center"
                        android:orientation="horizontal">


                        <TextView
                            android:id="@+id/tv_weixin"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:drawableTop="@drawable/icon_share_weixin"
                            android:drawablePadding="@dimen/size_10"
                            android:gravity="center"
                            android:text="微信" />


                        <TextView
                            android:id="@+id/tv_weixin_circle"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:drawablePadding="@dimen/size_10"
                            android:drawableTop="@drawable/icon_share_wx_circle"
                            android:gravity="center"
                            android:text="朋友圈" />


                        <TextView
                            android:id="@+id/tv_bill"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:drawableTop="@drawable/icon_share_code"
                            android:drawablePadding="@dimen/size_10"
                            android:gravity="center"
                            android:text="邀请码" />


                        <TextView
                            android:id="@+id/tv_more"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:drawablePadding="@dimen/size_10"
                            android:layout_weight="1"
                            android:drawableTop="@drawable/icon_share_more"
                            android:gravity="center"
                            android:text="更多" />

                    </LinearLayout>

                </LinearLayout>


            </android.support.v7.widget.CardView>

            <android.support.v7.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/size_15"
                android:layout_marginRight="@dimen/size_15"
                android:layout_marginBottom="@dimen/size_10"
                android:background="@color/white"
                app:cardCornerRadius="5dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_marginTop="@dimen/dp_10"
                        android:layout_marginRight="@dimen/dp_10">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentLeft="true"
                            android:layout_centerVertical="true"
                            android:text="我的推广"
                            android:textColor="#000000"
                            android:textSize="@dimen/text_15" />

                        <TextView
                            android:id="@+id/tv_more_detail"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:drawableRight="@drawable/common_icon_rig_gray"
                            android:drawablePadding="3dp"
                            android:text="查看详情"
                            android:textSize="@dimen/sp_12" />
                    </RelativeLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/size_20"
                        android:layout_marginBottom="@dimen/size_15"
                        android:gravity="center"
                        android:orientation="horizontal"
                        android:weightSum="3">

                        <LinearLayout
                            android:id="@+id/ll_comein"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:orientation="vertical">

                            <TextView
                                android:id="@+id/tv_amount"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="0元" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/dp_10"
                                android:text="累计收益"
                                android:textColor="@color/gray_707070" />

                        </LinearLayout>

                        <View
                            android:layout_width="0.1dp"
                            android:layout_height="@dimen/size_50"
                            android:background="@color/tv_gr999999" />

                        <LinearLayout
                            android:id="@+id/ll_invite"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:orientation="vertical">

                            <TextView
                                android:id="@+id/tv_person_inval"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="0人" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/dp_10"
                                android:text="待激活"
                                android:textColor="@color/gray_707070" />

                        </LinearLayout>

                        <View
                            android:layout_width="0.1dp"
                            android:layout_height="@dimen/size_50"
                            android:background="@color/tv_gr999999" />

                        <LinearLayout
                            android:id="@+id/ll_activation"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:orientation="vertical">

                            <TextView
                                android:id="@+id/tv_person_use"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="0人" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/dp_10"
                                android:text="已激活"
                                android:textColor="@color/gray_707070" />

                        </LinearLayout>

                    </LinearLayout>

                </LinearLayout>

            </android.support.v7.widget.CardView>


            <android.support.v7.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_marginLeft="@dimen/size_15"
                android:layout_marginRight="@dimen/size_15"
                android:layout_marginBottom="@dimen/size_10"
                android:background="@color/white"
                app:cardCornerRadius="5dp">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:text="我的推广人"
                        android:textColor="#000000"
                        android:textSize="@dimen/text_15"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/tv_parent_phone"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:layout_marginRight="@dimen/dp_10"
                        android:text="12345678910"
                        android:textColor="@color/tv_gr999999"
                        android:textSize="@dimen/sp_12" />

                    <com.base.utils.ui.image.round.RoundImageView
                        android:id="@+id/img_parent"
                        android:layout_width="@dimen/size_30"
                        android:layout_height="@dimen/size_30"
                        android:layout_centerVertical="true"
                        android:layout_marginTop="@dimen/size_10"
                        android:layout_marginRight="@dimen/size_5"
                        android:layout_marginBottom="@dimen/size_10"
                        android:layout_toLeftOf="@id/tv_parent_phone"
                        android:src="@drawable/icon_share_cir" />

                </RelativeLayout>

            </android.support.v7.widget.CardView>

        </LinearLayout>

    </ScrollView>

</LinearLayout>